/* specifics for style-dark */
:root {
  --dark-background: hsla(350, 30%, 10%, 0.9);
  --dark-background-attributes: hsla(47, 100%, 55%, 0.75);
  --dark-background-secondary-attributes: hsla(47, 85%, 45%, 0.75);
  --dark-background-item: hsla(15, 60%, 15%, 0.5);
  --dark-background-item-img: hsla(39, 99%, 40%, 0.8);
  --dark-background-positive: hsla(180, 50%, 10%, 1);
  --dark-background-negative: hsla(300, 50%, 10%, 1);
  --dark-background-lighter: hsla(0, 0%, 100%, 0.2);
  --dark-background-input: hsla(15, 100%, 60%, 0.30);

  --dark-background-tooltip: hsla(207, 40%, 70%, 1);
  --dark-background-button: var(--dark-background-attributes);
  --dark-background-weapon: hsla(0, 0%, 80%, 0.3);

  --dark-tint-weapon-odd: hsla(39, 99%, 40%, 0.5);
  --dark-tint-weapon-even: hsla(39, 99%, 40%, 0.3);
  --dark-tint-weapon-hover: hsla(39, 99%, 40%, 0.8);
  --dark-tint-npc: hsla(90, 29%, 70%, 0.15);
  --dark-tint-hover: hsla(10, 50%, 80%, 0.8);

  --dark-color-highlight: hsla(10, 100%, 50%, 1);
  --dark-color-font: hsla(40, 80%, 90%, 1);
  --dark-color-button: hsla(0, 90%, 10%, 1);
  --dark-color-border: hsla(0, 90%, 30%, 0.8);
  --dark-color-attribute: var(--dark-color-button);
  --dark-color-button-border: hsla(0, 70%, 30%, 0.5);
  --dark-color-border-light: hsla(0, 0%, 100%, 0.3);
  --dark-color-border-medium: hsla(0, 0%, 60%, 0.3);

  --dark-color-dice-prowess: hsla(47, 60%, 40%, 1);
  --dark-color-dice-glitch: hsla(300, 80%, 20%, 1);
  --dark-color-favorite: hsla(47, 60%, 70%, 1);
  --dark-color-controls: var(--dark-background-item-img);
  --dark-color-controls-disconnected: hsla(47, 10%, 50%, 0.8);
  --dark-color-controls-augmented: hsla(47, 90%, 50%, 1);  
  --dark-color-controls-virtual: hsla(47, 100%, 80%, 1);

  --dark-color-text-hyperlink: hsla(47, 90%, 50%, 0.5);
  --dark-shadow-section: inset 0px 12px 12px -8px var(--dark-color-border);
  --dark-shadow-attribute: 5px -5px 5px -2px var(--dark-color-border);
  --dark-shadow-anarchy-button: 3px -3px 6px -3px var(--dark-color-button-button);
  --dark-shadow-items-group: 5px 5px 5px -2px var(--dark-color-border);

  --dark-color-resource-checked: hsla(39, 70%, 70%, 0.9);
  --dark-color-monitor-checked: hsla(9, 100%, 50%, 0.9);
  --dark-color-unchecked: var(--dark-background-item-img);

}

.window-app.style-dark {
  box-shadow: 0px 0px 10px var(--dark-color-border-light);
}

#gm-manager.style-dark {
  background: var(--dark-background);
  color: var(--dark-color-font);
}

#gm-manager.style-dark header {
  border-bottom: 1px solid var(--dark-color-border-light);
  color: var(--dark-color-font);
}

#gm-manager.style-dark label {
  color: var(--dark-color-font);
}

#gm-manager.style-dark a:hover,
#gm-manager.style-dark a:hover label,
.style-dark :is(.anarchy-button, a.item-control, a.view-mode-control, .attribute-box, .a.click-checkbar-element):hover,
.style-dark :is(.anarchy-button, a.item-control, a.view-mode-control, .attribute-box, .a.click-checkbar-element):hover :is(i, label, a, img),
.style-dark .item :is(a:hover, a.item-controls:hover i, a:hover label) {
  color: var(--dark-color-highlight);
  text-shadow: 0 0 4px var(--dark-tint-hover);
}

.style-dark .window-content {
  background: var(--dark-background);
  color: var(--dark-color-font);
}

.style-dark .window-content form.npc-sheet {
  background: var(--dark-tint-npc);
}

.style-dark .vehicle-sheet .passport-img img {
  background-color: var(--dark-background-item-img);
}

.style-dark .device-sheet .passport-img img {
  background-color: var(--dark-background-item-img);
}

:is(.actor-character, .item-sheet) .style-dark nav.sheet-tabs .sheet-tab:not(.active) {
  color: var(--dark-color-controls);
}

:is(.actor-character, .item-sheet) .style-dark nav.sheet-tabs .sheet-tab.active {
  background-color: var(--dark-shadow-section);
  border-bottom: none !important;
  color: var(--dark-color-font);
}

:is(.actor-character, .item-sheet) .style-dark nav.sheet-tabs .sheet-tab {
  border-top: 1px solid var(--dark-color-border);
  border-left: 1px solid var(--dark-color-border);
  border-right: 1px solid var(--dark-color-border);
  box-shadow: var(--dark-shadow-section);
}


.style-dark :is(.section-group, .roll-dialog div.roll-parameters div.parameter-category) {
  border-top: 1px solid var(--dark-color-border);
  box-shadow: var(--dark-shadow-section);
}

.style-dark .section-group h2 {
  border-bottom: none;
}

.style-dark .attribute-box {
  box-shadow: var(--dark-shadow-attribute);
}

.style-dark .window-content .attribute-box,
.style-dark .window-content .attribute-box :is(input, select, label, button) {
  color: var(--dark-color-attribute);
}

.style-dark .attribute-box {
  background: var(--dark-background-attributes);
}

.style-dark .attribute-box.secondary-attribute {
  background: var(--dark-background-secondary-attributes);
}

.style-dark .attribute-box input {
  background: var(--dark-background-lighter);
}

.style-dark .anarchy-words {
  border: 1px solid var(--dark-color-border-light);
}

.style-dark .anarchy-words:is(.anarchy-keywords, .anarchy-dispositions, .anarchy-cues) input {
  background: var(--dark-background-item);
  border-style: none;
}

.style-dark div:is(.anarchy-keywords, .anarchy-dispositions, .anarchy-cues) {
  border: none;
  background-color: var(--transparent);
}


.style-dark .items-group div.item {
  background: var(--dark-background-item);
  border: 1px solid var(--dark-color-border-medium);
  box-shadow: var(--dark-shadow-items-group);
}

/* Weapons lists */
.style-dark .weapon-list .weapon-header {
  background: var(--dark-background-item);
}

.style-dark .weapon-list .item:nth-child(even) {
  background: var(--dark-tint-weapon-even);
}

.style-dark .weapon-list .item:nth-child(odd) {
  background: var(--dark-tint-weapon-odd);
}

.style-dark .weapon-list .item:hover {
  background: var(--dark-tint-weapon-hover);
}

.style-dark div.anarchy-shortcut-button img,
.style-dark :is(div, li).item img {
  background: var(--dark-background-item-img);
}

.style-dark .item.anarchy-quality.negative {
  background: var(--dark-background-negative);
}

.style-dark .item.anarchy-quality.positive {
  background: var(--dark-background-positive);
}

.style-dark :is(input, select, label, button) {
  color: var(--dark-color-font);
}

.style-dark .window-content select option {
  background: var(--dark-background);
  color: var(--dark-color-font);
}



.style-dark .anarchy-button {
  background: var(--dark-background-button);
  color: var(--dark-color-button);
  border: 2px outset var(--dark-color-button-border);
  box-shadow: var(--dark-shadow-anarchy-button);
}

.style-dark a.anarchy-button,
.style-dark .anarchy-button label {
  color: var(--dark-color-button);
}

.style-dark .anarchy-button:active {
  border: 2px inset var(--dark-color-button-border);
  position: relative;
  top: -1px;
  left: -1px;
}

.style-dark .tooltip .tooltip-roll-parameters {
  background: var(--dark-background-tooltip);
}

.style-dark a.favorite-control i {
  color: var(--dark-color-favorite);
}

.style-dark a.view-mode-control i,
.style-dark a.item-control i,
.style-dark a.item-control img {
  color: var(--dark-color-controls);
}
.style-dark a.item-control i.matrix-connectionMode-augmented {
  color: var(--dark-color-controls-augmented);
}
.style-dark a.item-control i.matrix-connectionMode-virtual {
  color: var(--dark-color-controls-virtual);
}
.style-dark a.item-control i.matrix-connectionMode-disconnected  {
  color: var(--dark-color-controls-disconnected);
}

.style-dark :is(div.checkbar-root[data-monitor-code='edge'],
  div.checkbar-root[data-monitor-code='credibility'],
  div.checkbar-root[data-monitor-code='rumor']) a.click-checkbar-element[data-checked=true] i {
  color: var(--dark-color-resource-checked);
}

.style-dark a.click-checkbar-element[data-checked=true] i {
  color: var(--dark-color-monitor-checked);
}

.style-dark a.click-checkbar-element[data-checked=false] i {
  color: var(--dark-color-unchecked);
}

.style-dark .roll-dialog div.roll-parameters div.parameter :is(select, input) {
  height: calc(100% - 2px);
  border-style: none;
}
.style-dark .roll-dialog div.roll-parameters div.parameter :is(select, input):not(:disabled) {
  background-color: var(--dark-background-input);
}
.style-dark .roll-dialog a.variable-dice-malus.active i {
  color: hsla(0, 100%, 50%, 0.9);
}
.style-dark .roll-dialog a.variable-dice-malus.inactive i {
  color: hsla(0, 60%, 50%, 0.8);
}
.style-dark .roll-dialog a.fixed-dice-malus.active i {
  color: hsla(20, 100%, 70%, 0.9);
}
.style-dark .roll-dialog a.fixed-dice-malus.inactive i {
  color: hsla(20, 60%, 50%, 0.9);
}
.style-dark .roll-dialog a.fixed-dice-bonus.active i {
  color: hsla(80, 100%, 70%, 0.9);
}
.style-dark .roll-dialog a.fixed-dice-bonus.inactive i {
  color: hsla(80, 60%, 50%, 0.9);
}
.style-dark .roll-dialog a.variable-dice-bonus.active i {
  color: hsla(100, 80%, 50%, 0.9);
}
.style-dark .roll-dialog a.variable-dice-bonus.inactive i {
  color: hsla(100, 40%, 50%, 0.8);
}
